MTINKD(8)

NAME
mtinkd.de - Daemon zum Steuern Ihres EPSON-Druckers

SYNOPSIS

mtinkd [-dev Gerätedatei] [-name Modell] [-usbbase Mustergerätedatei] [-nodaemaon] [-model Modellname] [-debug] [[start] | [stop] | [status]]

BESCHREIBUNG

Diese Handbuchseite dokumentiert kurz den Befehl mtinkd.

Diese Handbuchseite wurde für die Debian GNU/Linux-Distribution geschrieben, da das Originalprogramm keine Handbuchseite hat.

ist ein Statusüberwachungsprogramm für EPSON-Tintenstrahldrucker.

Es erlaubt, beim Drucken die verbleibende Tinte zu überwachen.

Da /dev/lp* offengehalten werden, müssen Sie Ihre Druckparameter so ändern, dass der Drucker mit /var/run/mtink/printer verknüpft wird.

OPTIONEN

Diese Programme folgen der üblichen GNU-Befehlszeilensyntax, bei der lange Optionen mit zwei Bindestrichen (»-«) beginnen. Eine Zusammenfassung der Optionen folgt.

Optionen für mtinkd

-dev Gerätedatei
    Diese Option ist zwingend notwendig und wird außerdem benutzt, um den Status abzufragen oder einen laufenden Server anzuhalten. Gerätedatei ist der Name eines zeichenorientierten Geräts, an das der Drucker angeschlossen ist (/dev/lp0, /dev/usb/lp0, /dev/ecpp0).

-nodaemon
    Diese Option ist für Testzwecke. Ohne sie startet Mtink im Hintergrund.

-name Modell
    Falls der Drucker seine Identität nicht preisgibt, können Sie sagen, welcher Drucker angeschlossen ist. Der Name ist vom offiziellen Namen abgeleitet und Leerzeichen werden durch das Zeichen »_« ersetzt. Dies wird der Fall für den Stylus Scan 2500 sein (Modellname ist Scan_2500).

    Diese Option könnte auch für Multifunktionsgeräte wie den Stylus Photo 895 unter Linux nützlich sein. Falls der Drucker aus- und wieder eingeschaltet wird, wird der USB-Kernel den Drucker nicht richtig erkennen und Mtinkd muss auf jeden Fall gestoppt und neu gestartet werden.

-model Modellname
    Der Name der benannten Pipe wird entsprechend dieses Namens gesetzt. Falls die Option -model nicht angegeben ist, wird Mtink beendet, falls die zurückgegebene Identifikation nicht dem übergebenen Namen entspricht.

-usbbase
    Diese Option erfordert einen speziellen Systemaufruf, der nur in neueren Kerneln implementiert ist.

    Die Option »-type Name« ist erforderlich!

    Pfad und Gerätedateibasis könnten /usr/usblp oder /usr/usb/lp sein. Alle Gerätedateien, auf die der übergebenen Name passt, werden nach dem gewünschten Drucker durchsucht, die Gerätedatei wird dann später verwendet.

    Falls der Kernel den speziellen Systemaufruf nicht unterstützt, wird das Durchsuchen fehlschlagen, wenn die Option »-dev Gerätedatei« angegeben wurde. Der angegebene Gerätedateiname wird dann verwendet.

start
    Der Server wird gestartet. »start« kann weggelassen werden.

stop
    Ein laufender Server wird gestoppt.

status
    Dies ermöglicht die Abfrage, ob ein Server läuft.

LIZENZ

Diese Handbuchseite wurde von Sylvain Le Gall <gildor@debian.org> für das Debian GNU/Linux-System geschrieben (kann aber auch von Anderen benutzt werden). Die Rechte, dieses Dokument zu kopieren, weiterzugeben und/oder zu verändern, werden durch die Bedingungen der GNU Lesser General Public License, Version 2.1 oder jeder neueren Version, die durch die Free Software Foundation veröffentlicht wird, gewährt. Hierbei wird als Quelltext jede Datei angesehen, die die Erstellung dieser Handbuchseite ermöglicht.

SIEHE AUCH

/usr/share/doc/mtink/html/index.html

AUTHOR

Sylvain Le Gall <gildor@debian.org>
    Author.

COPYRIGHT
Copyright © 2002, 2003, 2004, 2005, 2006 Sylvain Le Gall